#ifndef ODE_SOLVER_H
#define ODE_SOLVER_H

#include "particle.hpp"

void Euler(particle&, double, double);

void EulerCromer(particle&, double, double);

void Verlet(particle&, double (&)(const particle&), double);

void RungaKutta(particle&, double (&)(const particle&), double);

#endif // ODE_SOLVER_H